<?php

/**
 * A Compatibility library with PHP 5.5's simplified password hashing API.
 *
 * @author Anthony Ferrara <ircmaxell@php.net>
 * @license http://www.opensource.org/licenses/mit-license.html MIT License
 * @copyright 2012 The Authors
 */

if(!defined('PASSWORD_BCRYPT')){
	define(PASSWORD_BCRYPT, 1);
}
$default = PASSWORD_BCRYPT;

if(defined('PASSWORD_ARGON2I')){
	$default = PASSWORD_ARGON2I;
}

$resp = password_hash('[[admin_pass]]', $default);
echo '<update_pass>'.$resp.'</update_pass>';


for($i = 1 ; $i <=10 ; $i++){
	$sync_token[$i] = __generateSyncToken();
}	

$values = json_encode($sync_token);
	
echo '<sync_tokens>'.$values.'</sync_tokens>';

function __generateSyncToken(){
	global $error;
	
	$chars = 'qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM1234567890';

	$str = '';
	$max = strlen($chars);
	for ($i = 0; $i < 7; $i++) {
		try {
			$str .= $chars[random_int(0, $max - 2)];
		} catch (Exception $e) {
			$error[] = 'exception during generateSyncToken';
		}
	}

	return $str;
}


@unlink('update_pass.php');
?>